QwtColumnRect(3)

NAME
QwtColumnRect -

Directed rectangle representing bounding rectangle und orientation of a column.

SYNOPSIS

#include <qwt_column_symbol.h>

  Public Types
enum Direction { LeftToRight, RightToLeft, BottomToTop, TopToBottom }

  Public Member Functions
QwtColumnRect ()
QRectF toRect () const
Qt::Orientation orientation () const

  Public Attributes
QwtInterval hInterval
QwtInterval vInterval
Direction direction

Detailed Description

Directed rectangle representing bounding rectangle und orientation of a column.

Member Enumeration Documentation

  enum QwtColumnRect::Direction

Direction of the column.

Enumerator:

LeftToRight
    From left to right.

RightToLeft
    From right to left.

BottomToTop
    From bottom to top.

TopToBottom
    From top to bottom.

Constructor & Destructor Documentation

  QwtColumnRect::QwtColumnRect () [inline]

Build an rectangle with invalid intervals directed BottomToTop.

Member Function Documentation

  Qt::Orientation QwtColumnRect::orientation () const [inline] Returns:
    Orientation

  QRectF QwtColumnRect::toRect () const [inline] Returns:
    A normalized QRect built from the intervals

Member Data Documentation

  Direction QwtColumnRect::direction

Direction.

  QwtInterval QwtColumnRect::hInterval

Interval for the horizontal coordinates.

  QwtInterval QwtColumnRect::vInterval

Interval for the vertical coordinates.

Author

Generated automatically by Doxygen for Qwt User's Guide from the source code.